/*      (  )
        SREG
     R15. 
 /  0/1   0

*/
.def SR =r25 ;  (       !!!)
; AND  U (reg),(bit)_________________________
.macro U
	clr r2
	clr r3
	sbrs SR,0
	set
	BLD r2,0	;     R2-bit0
	BST @0,@1	;@0 -     
		;@1 -  (  )
	BLD r3,0	;     R3-bit0
	and r2,r3
	BST r2,0	;   
	ser SR 	;0xFF   
.endm
; ANDN   UN (reg),(bit)_____________________
.macro UN
	clr r2
	clr r3
	sbrs SR,0
	set
	BLD r2,0
	sbrs @0,@1
	set
	sbrc @0,@1
	clt
	BLD r3,0
	and r2,r3
	BST r2,0
	ser SR
.endm
; OR {o_r}  o_r (reg),(bit)_____________________
.macro o_r
	clr r2
	clr r3
	BLD r2,0
	BST @0,@1
	BLD r3,0
	or r2,r3
	BST r2,0
	ser SR

.endm
; ={eq_r}    eq_r (reg),(bit)_________________
.macro eq_r
	BLD @0,@1
	clr SR
.endm
; S {s_r}   s_r (reg),(bit)____________________
.macro s_r
	brtc pc+2
	sbr @0,1<<@1
	clr SR
.endm
; R {r_r}  r_r (reg),(bit)_____________________
.macro r_r
	brtc pc+2
	cbr @0,1<<@1
	clr SR
.endm
